using System;
using System.Data;
public partial class Masters_ShiftRoasterServer : Base.BasePage
{
    protected override void Page_Load(object sender, EventArgs e)
    {
        // session checking and reset date format
        base.Page_Load(sender, e);
        Response.Clear();
        if ((Request.QueryString["newvalue"] != null) && (Request.QueryString["ddlno"] != null))
        {
            UpdateShiftRoaster(Convert.ToInt32(Request.QueryString["ddlno"].ToString()), Convert.ToInt32(Request.QueryString["newvalue"].ToString()));
        }
        Response.End();
    }
    private void UpdateShiftRoaster(int ddlno, int newvalue)
    {
        DataSet ds_Roaster = new DataSet();
        ds_Roaster = (DataSet)Session["RoasterDetails"];
        string strShift = "Pattern" + ddlno;
        foreach (DataRow Drow in ds_Roaster.Tables[0].Rows)
        {
            Drow[strShift] = newvalue;
        }
        Session["RoasterDetails"] = ds_Roaster;
    }
}
